/*
	CGI Source for Config.cpp

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: February 23, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc version 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#include "Config.h"
#include <ctype.h>
#include <string.h>

Config::Config(char *l, char *w)
{
	l = NULL;
	w = NULL;
}

Config::~Config()
{
}

int Config::EatWs(FILE *fpt)
{
	int	ch;

	while ((ch = fgetc(fpt)) != EOF)
	{
		if (ch != ' ' && ch != '\t')
			return	ch;
	}

	return	ch;
}

int Config::CfgGetLine(char *str, int n, FILE *fpt)
{
	int	iLen = 0, ch;

	ch = EatWs(fpt);

	while (1)
	{
		if (ch == EOF || ch == '\n' || (iLen == n-1))
		{
			if (iLen && str[iLen-1] == ' ')
				str[iLen-1] = '\0';
			else
				str[iLen] = '\0';
			return	feof(fpt) ? 1 : 0;
		}
		str[iLen++] = ch;
		ch = fgetc(fpt);
		if (ch == '\t' || ch == ' ')
		{
			str[iLen++] = ch;
			ch = EatWs(fpt);
		}
	}
}	

void Config::CfgGetWord(char *word, char *line)
{
	int	x = 0, y = 0;

	for (; line[x] && isspace(line[x]); x++);

	while (1)
	{
		if (!(word[y] = line[x]))
			break;
		if (isspace(line[x]))
			if ((!x) || (line[x-1] != '\\'))
				break;
		if (line[x] != '\\')
			y++;
		x++;
	}

	word[y] = '\0';
	while (line[x] && isspace(line[x])) x++;
	for (y=0; (line[y] = line[x]); x++, y++);
}
