/*
	TextHtml.cpp (CGI Source for Guest book)

	Author	: Kang Jul Ki
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: January 29, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab.
*/

#include "TextHtml.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

TextHtml::TextHtml()
{
}

TextHtml::~TextHtml()
{
}

void TextHtml::GetEnv()
{
	char *buf;
	stat  result = ERR;

	/*
	** Get environment variable from HTTP
	*/
	buf = getenv("QUERY_STRING");
	
	(iParam+0)->f_val  = (char *)makeword(buf, '&');
	(iParam+0)->f_name = (char *)makeword((iParam+0)->f_val, '=');

#ifdef _DEBUG_
	if (result == OK)
	{
		printf("result : OK<br>%c", LF);
	}
	else if (result == ERR)
	{
		printf("result : ERR<br>%c", LF);
	}

	printf("BBS_DIR : %s%c<br>", GetBbsDir(), LF);
	printf("%s%c", (iParam+0)->f_name, LF);
	printf("%s%c<br>", (iParam+0)->f_val, LF);

	printf("BASE_DIR : %s%c<br>", GetBaseDir(), LF);
	printf("BBS_DIR  : %s%c<br>", GetBbsDir(), LF);
	printf("ERASE_DOMAIN : %s%c<br>", GetEraseDomain(), LF);
	printf("EMAIL    : %s%c<br>", GetEmail(), LF);
#endif
	iBoardNum = atoi((iParam+0)->f_val);

	/*
	** Get Config from 'GuestBook.conf'
	*/
	result = ProcessConfig();
}

void TextHtml::ShowPostPage()
{
	printf("<html>%c", LF);
	printf("<head>%c", LF);
	printf("<title>Խ  2.13</title>%c", LF);
	printf("</head>%c", LF);
	printf("<body bgcolor=white>%c", LF);

	printf("<center>%c", LF);
	printf("<img src=%sImage/%s height=60 width=200 border=0>%c", GetBaseDir(), GetImageFileName(), LF);
	printf("<table border=0 width=480 cellpading=0>%c", LF);
	  printf("<tr>%c", LF);
	    printf("<td valign=buttom>%c", LF);
	    printf("<img align=left border=0 src=%sImage/bookpen.gif>%c", GetBaseDir(), LF);
	      printf("<br>%c", LF);
	    printf("<img width=420 src=%sImage/line_ani.gif>%c", GetBaseDir(), LF); 
	    printf("</td>%c", LF);
	  printf("</tr>%c", LF);
	printf("</table>%c", LF);
	printf("</center>%c", LF);

	printf("<center>%c", LF);
	printf("<form method=post action=%scgi-bin/TextPost.Cgi?BoardNum=%d&TextNum=%d>%c", GetBaseDir(), GetBoardNum(), -1, LF);
	printf("<table>%c", LF);

	printf("<tr><td>Name</td><td><input type=text name=name size=20 maxlength=18></td></tr>%c", LF);
	printf("<tr><td>E-mail</td><td><input type=text name=email size=40 maxlength=40></td></tr>%c", LF);
	printf("<tr><td>Homepage</td><td><input type=text name=homepage value=\"http://\" size=60%c", LF);
	printf("maxlength=60></td><tr>%c", LF);
	printf("<tr><td>Subject</td><td><input type=text name=subject value=\"\" size=60 maxlength=79></td></tr>%c", LF);
	printf("<tr><td>Comment</td><td><textarea type=text name=body cols=60 rows=10></textarea>%c", LF);
	printf("</td></tr></table>%c", LF);

//	printf("<input type=hidden name=cur value=proposal>%c", LF);
	printf("<br>%c", LF);
 
	printf("<center>%c", LF);
		printf("<input type=submit value=\" ø\">%c", LF);
		printf("<input type=reset value=\"ϱ\">%c", LF);
	printf("</center>%c", LF);

//	printf("<input name=\"Dir\" value=%s type=hidden>%c", dir, LF);

	printf("</form>%c", LF);
	printf("<br>%c", LF);
	printf("</center>%c", LF);

	printf("<p>%c", LF);

	printf("<center>%c", LF);
	printf("<img src=%sImage/line.gif>%c", GetBaseDir(), LF);
	printf("<br>%c", LF);

#if 0
#ifdef _PRO_
	printf("<font color=454545 size=-1>Professional Version 1.01</font><br>%c", LF);
#else
	printf("<font color=454545 size=-1>Amateur Version 1.01</font><br>%c", LF);
#endif
#endif
	printf("<font color=454545 size=-1>Copyright <font size=4>&copy</font> 1996 - 1997,%c", LF);
	printf("Ver 2.13 <b>Software Engineering Lab</b>. All rights reserved.<br>%c", LF);
	printf("Chonbuk National Univ. Dept. of Electronic Engineering<br>%c", LF);
	printf("<a href=http://sel.chonbuk.ac.kr/~jkkang/>Programmed by Kang Jul Ki</a><br>%c", LF);
	printf("<a href=mailto:%s>%s</a><br>%c", GetEmail(), GetEmail(), LF);
	printf("</font>%c", LF);
	printf("</center>%c", LF);

	printf("</body>%c", LF);
	printf("</html>%c", LF);
}
	
/*
** Program entry
*/
void main()
{
	TextHtml* MyTextHtml;

	MyTextHtml = new TextHtml;
	
	/*
	** Mime type
	*/
	printf("Content-type: text/html%c%c", LF, LF);

	MyTextHtml->GetEnv();
	MyTextHtml->ShowPostPage();

	delete	MyTextHtml;
}
